Name:       rtmidi
Version:    2.1.0
Release:    1%{?dist}
Summary:    Library for realtime MIDI input/output (ALSA support)
License:    MIT
URL:        http://www.music.mcgill.ca/~gary/rtmidi/index.html
Source0:    http://www.music.mcgill.ca/~gary/rtmidi/release/%{name}-%{version}.tar.gz
BuildRequires:  alsa-lib-devel, jack-audio-connection-kit-devel
BuildRequires:  autoconf, /usr/bin/dos2unix

%description
RtMidi is a set of C++ classes (RtMidiIn and RtMidiOut) that provides a common 
API (Application Programming Interface) for realtime MIDI input/output across 
Linux (ALSA & Jack), Macintosh OS X, Windows (Multimedia Library), and SGI 
operating systems. RtMidi significantly simplifies the process of interacting 
with computer MIDI hardware and software. It was designed with the following 
goals:
* object oriented C++ design
* simple, common API across all supported platforms
* only two header files and one source file for easy inclusion in programming 
  projects
* MIDI device enumeration

%package devel
Summary:    Development headers and libraries for rtmidi
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   alsa-lib-devel, jack-audio-connection-kit-devel

%description devel
Development headers and libraries for rtmidi.

%prep
%setup -q

cp -f /usr/lib/rpm/config.{guess,sub} config/
sed -i -e 's/\/lib/\/%{_lib}/' Makefile.in librtmidi.pc.in
sed -i -e 's/RtError\.h//' Makefile.in
autoconf -f
# fix end of line
dos2unix doc/release.txt doc/doxygen/tutorial.txt

%build
# First pass, jack.
%configure --docdir=%{_docdir}/%{name}-devel --with-jack --with-alsa
make CFLAGS="$CXXFLAGS -fPIC"

%install
mkdir -p %{buildroot}%{_libdir} %{buildroot}%{_bindir} %{buildroot}%{_includedir}
sed -i -E 's/-L[^ "]+//' %{name}-config
make install PREFIX=%{buildroot}%{_prefix}

rm %{buildroot}%{_libdir}/pkgconfig
mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -p lib%{name}.pc %{buildroot}%{_libdir}/pkgconfig/
rm %{buildroot}%{_libdir}/*.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc readme
%{_libdir}/lib%{name}.so.*

%files devel
%doc doc/*
%{_bindir}/%{name}-config
#{_docdir}/%{name}-devel/
%{_includedir}/RtMidi.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%changelog
* Thu Oct 23 2014 Robin Lee <cheeselee@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug  7 2013 Robin Lee <cheeselee@fedoraproject.org> - 1.0.15-7
- Use unversioned docdir (BZ#993937)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Karsten Hopp <karsten@redhat.com> 1.0.15-2.1
- use config.sub, config.guess from rpm, i.e. ppc64 was missing in the included files

* Sun Oct  9 2011 Robin Lee <cheeselee@fedoraproject.org> - 1.0.15-2
- Include an enhanced patch
- Don't include the test apps
- Include the documents in the devel package
- Untabified

* Thu Sep 1 2011 Tom Callaway <spot@fedoraproject.org> - 1.0.15-1
- initial package
